from setuptools import setup, find_packages
from pathlib import Path

install_requires = [
    "requests",
]

tests_require = [
    "mkfab",
    "pytest",
]

def get_files(path):
    root = Path(path)
    queue = [root]
    ret = []
    while queue:
        curr = queue.pop()
        for file in curr.iterdir():
            if file.is_file():
                ret.append(str(file))
            else:
                queue.append(file)
    return ret


setup(
    name="metadocker",
    version="0.1.1",
    description="Un outil pour gérer des conteneurs",
    author="François GAUTRAIS",
    author_email="francois@gautrais.eu",
    install_requires=install_requires,
    packages=find_packages("src"),
    include_package_data=True,
    zip_safe=False,
    data_files=[
    ],
    test_suite="tests",
    tests_require=tests_require,
    extras_require={
        "test": tests_require,
        "pylint": ["pylint"],
    },
    scripts=[
      "src/metadocker/scripts/metadocker"
    ],

    entry_points={
        "console_scripts": [
        ]
    },
    package_dir={"": "src"},
)

