import sys

from metadocker.common.errors import MetadockerError


class Argument:
    def __init__(self, *args, **kwargs):
        self.args = args
        self.kwargs = kwargs

    def call(self, parser):
        parser.add_argument(*self.args, **self.kwargs)

class Command:
    NAME = None
    HELP = None
    ALIASES = []
    ARGUMENTS = []
    CATCH_EXCEPTION = True
    def __init__(self, data):
        self._data = data
        data = data.__dict__

        for k, v in data.items():
            setattr(self, k, v)

    def start(self):
        try:
            self.run()
        except MetadockerError as err:
            print("Erreur", file=sys.stderr)
            print(err.get_error(), file=sys.stderr)

    def run(self):
        raise NotImplementedError()


class SpecificCommand(Command):


    def start(self, env):
        env.debug = self.debug
        try:
            env.read()
            self.run(env)
        except MetadockerError as err:
            print("Erreur", file=sys.stderr)
            print(err.get_error(), file=sys.stderr)



