import tempfile
from pathlib import Path

from metadocker.cmdline.commands.base import SpecificCommand, Argument
from metadocker.docker.driver import driver

class BuildCommand(SpecificCommand):
    NAME = "build"
    HELP = "Crée le conteneur"
    ARGUMENTS = [
        Argument("--dockerfile", "-d",  default=None, help="Fichier de dockerfile à utiliser. Si non donné utilise un fichier temporarie"),
        Argument("--dry-run",  default=None, help="Ne lance pas docker"),
    ]

    def run(self, env):
        if self.dockerfile is None:
            self.dockerfile = env.root / "Dockerfile"

        env.build_docker_file(self.dockerfile)
        if not self.dry_run:
            driver.build(self.dockerfile, tag=env.docker.tag)


