from metadocker.cmdline.commands.base import SpecificCommand, Argument
from metadocker.common.errors import SimpleError
from metadocker.docker.driver import driver


class LogsCommand(SpecificCommand):
    NAME = "logs"
    HELP = "Accede au log du container"
    ARGUMENTS = [
        Argument("--details", "-d", action="store_true", help="Affiche plus de détails"),
        Argument("--follow", "-f", action="store_true", help="Follow log output"),
        Argument("--since", "-s", help='Affiche les logs depuis (e.g. "2013-01-02T13:23:37Z") or relative (e.g. "42m" for 42 minutes)'),
        Argument("--tail", "-T", help="Nombre de ligne à afficher"),
        Argument("--until", "-u", help="Nombre de ligne à afficher"),
        Argument("--timestamps", "-t", action="store_true", help='Affiche les logs jusque (e.g. "2013-01-02T13:23:37Z") or relative (e.g. "42m" for 42 minutes)'),
    ]
    def run(self, env):
        name = env.docker.name

        for res in driver.ps(name=env.docker.name):
            driver.logs(env.docker.name,
                        details=self.details,
                        follow=self.follow,
                        since=self.since,
                        tail=self.tail,
                        until=self.until,
                        timestamps=self.timestamps,
                        catch=False)
            break
        else:
            raise SimpleError(f"Le conteneur '{env.docker.name}' n'est disponible")
