from metadocker.cmdline.commands.base import SpecificCommand, Argument
from metadocker.docker import DockerBuilder
from metadocker.docker.driver import driver


class StopCommand(SpecificCommand):
    NAME = "stop"
    HELP = "Stop le conteneur"
    ARGUMENTS = [
        Argument("--kill", "-k", action="store_true", help="Tue le container"),
        Argument("--time", "-t", help="Temps avent de forcer le container", type=int),
        Argument("--signal", "-s", help="Signal à envoyer au container"),
    ]
    def run(self, env):
        name = env.docker.name
        if self.kill:
            driver.kill(name, signal=self.signal)
        else:
            driver.stop(name, time=self.time, signal=self.signal)
